Bug 254003 - sysutils/rubygem-bundler: Update to 2.2.16
Summary: sysutils/rubygem-bundler: Update to 2.2.16
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Koichiro Iwao
URL: https://github.com/rubygems/rubygems/...
Keywords: buildisok
Depends on:
Blocks:
 
Reported: 2021-03-04 05:14 UTC by Yasuhiro Kimura
Modified: 2021-04-12 07:15 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (ruby)


Attachments
Patch file (951 bytes, patch)
2021-03-04 05:14 UTC, Yasuhiro Kimura
no flags Details | Diff
Updated patch file (951 bytes, patch)
2021-03-21 05:41 UTC, Yasuhiro Kimura
no flags Details | Diff
Updated patch file (1.40 KB, application/mbox)
2021-04-09 10:43 UTC, Yasuhiro Kimura
yasu: maintainer-approval+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Yasuhiro Kimura 2021-03-04 05:14:00 UTC
Created attachment 222964 [details]
Patch file

Update to 2.2.12.

Change Log: https://github.com/rubygems/rubygems/blob/bundler-v2.2.13/bundler/CHANGELOG.md
Comment 1 Automation User 2021-03-19 00:08:24 UTC
Build and package info is available at https://gitlab.com/swills/freebsd-ports/pipelines/272984159
Comment 2 Yasuhiro Kimura 2021-03-21 05:41:37 UTC
Created attachment 223463 [details]
Updated patch file

New version 2.2.15 is released.

Change Log: https://github.com/rubygems/rubygems/blob/bundler-v2.2.15/bundler/CHANGELOG.md
Comment 3 Koichiro Iwao freebsd_committer 2021-04-06 12:40:54 UTC
Hi, thank you always. 

BTW, since the ports tree has been migrated to git, can you try submitting a patch  with `git format-patch`?  I'm still not sure what is the best way when outside contributors submit a patch but I would like to try `git format-patch` and `git am`.
Comment 4 Yasuhiro Kimura 2021-04-09 10:43:53 UTC
Created attachment 223944 [details]
Updated patch file

New version 2.2.16 is released.

Change Log: https://github.com/rubygems/rubygems/blob/bundler-v2.2.16/bundler/CHANGELOG.md
Comment 5 commit-hook freebsd_committer 2021-04-11 15:51:54 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=78b800036df2c926add7b79710c3b3c0cde4770a

commit 78b800036df2c926add7b79710c3b3c0cde4770a
Author:     Koichiro Iwao <meta@FreeBSD.org>
AuthorDate: 2021-04-11 14:26:41 +0000
Commit:     Koichiro Iwao <meta@FreeBSD.org>
CommitDate: 2021-04-11 15:48:40 +0000

    sysutils/rubygem-bundler: Update to 2.2.16

    PR:             254003
    Reported by:    Yasuhiro Kimura <yasu@utahime.org>
    Tested by:      meta (myself)
    Relnotes:       https://github.com/rubygems/rubygems/blob/bundler-v2.2.16/bundler/CHANGELOG.md

 sysutils/rubygem-bundler/Makefile | 2 +-
 sysutils/rubygem-bundler/distinfo | 6 +++---
 2 files changed, 4 insertions(+), 4 deletions(-)
Comment 6 Koichiro Iwao freebsd_committer 2021-04-12 07:15:44 UTC
Committed, thanks!